clang-tools 6.0.0

Classes | Public Member Functions | List of all members
clang::tidy::ClangTidyPluginAction Class Reference

The core clang tidy plugin action. More...

Inheritance diagram for clang::tidy::ClangTidyPluginAction:
[legend]
Collaboration diagram for clang::tidy::ClangTidyPluginAction:
[legend]

## Public Member Functions
std::unique_ptr< ASTConsumer > | CreateASTConsumer (CompilerInstance &Compiler, StringRef File) override
bool | ParseArgs (const CompilerInstance &, const std::vector< std::string > &Args) override

## Detailed Description

The core clang tidy plugin action.

This just provides the AST consumer and command line flag parsing for using clang-tidy as a clang plugin.

Definition at line 21 of file ClangTidyPlugin.cpp.

## Member Function Documentation

## ◆ CreateASTConsumer()

std::unique_ptr<ASTConsumer> clang::tidy::ClangTidyPluginAction::CreateASTConsumer | ( | CompilerInstance & | Compiler,
|  | StringRef | File
| ) |  |
| inline override

Definition at line 34 of file ClangTidyPlugin.cpp.

References clang::tidy::ClangTidyASTConsumerFactory::CreateASTConsumer().

## ◆ ParseArgs()

bool clang::tidy::ClangTidyPluginAction::ParseArgs | ( | const CompilerInstance & | ,
|  | const std::vector< std::string > & | Args
| ) |  |
| inline override

Definition at line 47 of file ClangTidyPlugin.cpp.

References clang::tidy::ClangTidyOptions::Checks.

The documentation for this class was generated from the following file:

- ClangTidyPlugin.cpp